# ###########################################################################
#
#   Description file for patch :       DB_patch1374_441_fp004
#
#   <<      UPGRADE PATCH FROM 4.4.1 TO 4.4.1 FP004      >>
#
# ###########################################################################

[PATCH]
Software_name=Database
Short_description=Upgrade from 4.4.1 to 4.4.1 FP004
DB_mode=Normal
Repeat_allowed=Yes

[VARIABLES]
#ORACLE_OWNER=optional:no^type:string^exported:yes^help:The oracle software owner (e.g. oracle)
#SYSTEM_USER=optional:no^type:string^exported:yes^help:Name of main DBA (e.g. system)
#SYSTEM_PASSWORD=optional:no^type:password^exported:yes^help:Password of main DBA
#SYS_PASSWORD=optional:no^type:password^exported:yes^help:Password of database creator (sys user)
DISCONNECT_CLIENTS_Y_N=optional:no^type:yesno^exported:yes^help:Force logout of any connected client (Y) or fail (N)

# ============== VERSION LEVEL TRANSITIONS SUPPLIED ===============

[TRANSITION]
# When applying on a plain or upgraded 4.4.1
#  on oracle8 - GA (Solaris)
Initial_VLN=DB4411374000
Initial_checksum=##unknown##
Final_VLN=DB4411374001
Final_checksum=##unknown##

[TRANSITION]
# When applying on a plain or upgraded 4.4.1
#  on oracle8 - GA (Solaris)
Initial_VLN=DB4411374001
Initial_checksum=##unknown##
Final_VLN=DB4411374001
Final_checksum=##unknown##

[TRANSITION]
# When applying on a plain or upgraded 4.4.1
#  on oracle9 - GA (Solaris)
Initial_VLN=DB4411373000
Initial_checksum=##unknown##
Final_VLN=DB4411373001
Final_checksum=##unknown##

[TRANSITION]
# When applying on a plain or upgraded 4.4.1
#  on oracle9 - GA (Solaris)
Initial_VLN=DB4411373001
Initial_checksum=##unknown##
Final_VLN=DB4411373001
Final_checksum=##unknown##

# ============ SET DATABASE IN RESTRICTED MODE ============

[MODULE]
Loader=Sql
Domain=admin
Name=list_clients
Type=sql
Description=List the currently connected clients

[MODULE]
Loader=Sql
Domain=admin
Name=set_restricted
Type=sql
Description=Set database in restricted session mode

# ============== CREATE TEMP TZ FUNCTIONS =================

[MODULE]
Loader=Sql
Domain=admin
Name=create_temp_tz_function
Type=sql
Description=Create temporary function for upgrade

[MODULE]
Loader=Sql
Domain=admin
Name=create_temp_tz_function_apply_level_1
Type=sql
Description=Create temporary function for upgrade

# ================== UPGRADE TABLES =======================

[MODULE]
Loader=Sql
Domain=admin
Name=modtab_aggset_desc
Type=sql
Description=Alter table AGGSET_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=modtab_elmt_snmp
Type=sql
Description=Alter table ELMT_SNMP

[MODULE]
Loader=Sql
Domain=admin
Name=crtab_tz_desc
Type=sql
Description=Create table TZ_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=crtab_tz_dst_offset
Type=sql
Description=Create table TZ_DST_OFFSET

# ================= UPDATE TABLE DATA =====================

[MODULE]
Loader=Sql
Domain=admin
Name=init_tz_desc
Type=sql
Description=Update data in TZ_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=init_tz_dst_offset
Type=sql
Description=Update data in TZ_DST_OFFSET

[MODULE]
Loader=Sql
Domain=admin
Name=init_error_desc
Type=sql
Description=Update data in ERROR_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=init_dbi_ref_query
Type=sql
Description=Update data in DBI_REF_QUERY

[MODULE]
Loader=Sql
Domain=admin
Name=update_datamart_registry
Type=sql
Description=Update DATAMART registry

# ================ UPDATE PACKAGE SPEC ====================

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_aggset
Type=pks
Version=1.0
Description=Package Spec PVM_AGGSET

# ================== UPDATE SYNONYMS ======================

# ================== UPGRADE GRANTS =======================

[MODULE]
Loader=Sql
Domain=admin
Name=tz_grants_and_syns
Type=sql
Description=Grants and synonyms for TZ upgrade


# ================ UPDATE PACKAGE BODY ====================

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_aggset
Type=pkb
Version=1.2
Description=Package Body PVM_AGGSET

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_backup
Type=pkb
Version=30.21
Description=Package Body PVM_BACKUP

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_install
Type=pkb
Version=30.16.1.0
Description=Package Body PVM_INSTALL

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_tablespace
Type=pkb
Version=30.24.1.4
Description=Package Body PVM_TABLESPACE

# ================ UPDATE CONSTRAINTS =====================

[MODULE]
Loader=Sql
Domain=admin
Name=crcons_tz_desc
Type=sql
Description=Constraints on TZ_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=crcons_tz_dst_offset
Type=sql
Description=Constraints on TZ_DST_OFFSET

[MODULE]
Loader=Sql
Domain=admin
Name=crcons_aggset_desc
Type=sql
Description=Constraints on AGGSET_DESC

# ================= UPGRADE TRIGGERS ======================

# ================ PERFORM TZ CONVERT =====================

[MODULE]
Loader=Sql
Domain=admin
Name=tz_reset
Type=sql
Description=Perform TZ convert (if necessary)

# =============== DROP TEMP TZ FUNCTION ===================

[MODULE]
Loader=SqD
Domain=admin
Name=drop_temp_tz_function
Type=sql
Data=Drop Function Temp_TZ_Applied
Description=Drop function used during upgrade

[MODULE]
Loader=SqD
Domain=admin
Name=drop_temp_tz_apply_1_function
Type=sql
Data=Drop Function Temp_TZ_Apply_Level_1
Description=Drop function used during upgrade

# ========== DISABLE RESTRICTED SESSION MODE ==============

[MODULE]
Loader=SqD
Domain=admin
Name=set_no_restricted
Type=sql
Data=Alter System Disable Restricted Session
Description=Set database out of restricted session mode

# ================ UPDATE VERSION INFO ====================

[MODULE]
Loader=Sql
Domain=admin
Name=set_version_info
Type=sql
Description=Update centralized versioning system 

# ############ end of file : DB_patch1374_441_fp004.dsc
