Declare
  iColCount       PLS_Integer;
Begin
  Select Count(*)
    Into iColCount
    From DBA_TAB_COLUMNS
   Where Table_Name = 'AGGSET_DESC'
     And Column_Name = 'IDX_TZ';
  If iColCount = 0 Then
    Execute Immediate 'Alter Table AGGSET_DESC Add ( Idx_Tz Number(10) )';
  End If;
  Select Count(*)
    Into iColCount
    From DBA_TAB_COLUMNS
   Where Table_Name = 'AGGSET_DESC'
     And Column_Name = 'DST_FLAG';
  If iColCount = 0 Then
    Execute Immediate 'Alter Table AGGSET_DESC Add ( Dst_Flag Number(1) )';
  End If;
End;
/
Declare
  Type Varchar_Tab_Type Is Table Of Varchar2(255)
    Index By Binary_Integer;
  Type Number_Tab_Type Is Table Of Number(10)
    Index By Binary_Integer;
  IdxIndTable      Number_Tab_Type;
  DteDateTable     Number_Tab_Type;
  NameTable        Varchar_Tab_Type;
  OldTzTable       Varchar_Tab_Type;
  vcTzName         Varchar2(255);
  iDSTFlag         Number(1);
Begin
  If Not Temp_TZ_Applied Then
    OldTzTable(1) := 'Europe/London';
    OldTzTable(2) := 'America/Adak';
    OldTzTable(3) := 'Pacific/Rarotonga';
    OldTzTable(4) := 'AST';
    OldTzTable(5) := 'America/Anchorage';
    OldTzTable(6) := 'PST';
    OldTzTable(7) := 'MST';
    OldTzTable(8) := 'America/Mexico_City';
    OldTzTable(9) := 'CST';
    OldTzTable(10) := 'EST';
    OldTzTable(11) := 'America/Santiago';
    OldTzTable(12) := 'America/Sao_Paulo';
    OldTzTable(13) := 'Atlantic/Azores';
    OldTzTable(14) := 'ECT';
    OldTzTable(15) := 'Europe/Paris';
    OldTzTable(16) := 'Africa/Cairo';
    OldTzTable(17) := 'Europe/Bucharest';
    OldTzTable(18) := 'Europe/Helsinki';
    OldTzTable(19) := 'Asia/Baghdad';
    OldTzTable(20) := 'Europe/Moscow';
    OldTzTable(21) := 'Asia/Baku';
    OldTzTable(22) := 'Asia/Yekaterinburg';
    OldTzTable(23) := 'Asia/Novosibirsk';
    OldTzTable(24) := 'Asia/Krasnoyarsk';
    OldTzTable(25) := 'Asia/Irkutsk';
    OldTzTable(26) := 'Asia/Yakutsk';
    OldTzTable(27) := 'Australia/Sydney';
    OldTzTable(28) := 'Pacific/Noumea';
    OldTzTable(29) := 'Asia/Anadyr';
    OldTzTable(30) := 'Pacific/Auckland';
    Select Idx_Ind, Dte_Date, Str_Name
      Bulk Collect
      Into IdxIndTable, DteDateTable, NameTable
      From AGGSET_DESC
     Where Idx_Tz Is Null
     And Dst_Flag Is Null;
    For iAggset In 1..IdxIndTable.Count
    Loop
      vcTzName := Nvl( Substr( NameTable(iAggset), 
                                1, 
                                Instr( NameTable(iAggset), '_' ) - 1 ), 
                       NameTable(iAggset) );
      vcTzName := Nvl( Substr( vcTzName, 
                                1, 
                                Instr( vcTzName, '(no DST)' ) - 2 ), 
                       vcTzName );
      For iTZ In 1..30
      Loop
        If OldTzTable(iTZ) = vcTzName Or 
           vcTzName = 'GMT'           Then
          If Substr( NameTable(iAggset), 
                     1, 
                     Instr( NameTable(iAggset), '_' ) - 1 ) Is Null Then
            iDSTFlag := 0;
          Else
            iDSTFlag := 1;
          End If;
          Update AGGSET_DESC
             Set Idx_Tz = iTZ,
                 Dst_Flag = iDSTFlag
           Where Idx_Ind = IdxIndTable(iAggset)
             And Dte_Date = DteDateTable(iAggset);
          Exit;
        End If;
      End Loop;
    End Loop;
    Commit;
  End If;
End;
/
Declare
  vcColNullable   Varchar2(1);
Begin
  Select Nullable
    Into vcColNullable
    From DBA_TAB_COLUMNS
   Where Table_Name = 'AGGSET_DESC'
     And Column_Name = 'IDX_TZ';
  If vcColNullable = 'Y' Then
    Execute Immediate 'Alter Table AGGSET_DESC Modify ( Idx_Tz Not Null )';
  End If;
  Select Nullable
    Into vcColNullable
    From DBA_TAB_COLUMNS
   Where Table_Name = 'AGGSET_DESC'
     And Column_Name = 'DST_FLAG';
  If vcColNullable = 'Y' Then
    Execute Immediate 'Alter Table AGGSET_DESC Modify ( Dst_Flag Not Null )';
  End If;
End;
/
