#!/bin/bash
#set -x

THISSCRIPT=`basename $0`
DIRNAME=`dirname $0`
. $DIRNAME/audit.env

testFileDate=$DIRNAME/`date '+resColl.%m.%d-%H.%M/'`

mkdir $testFileDate

FORMGET=$NEWPVMHOME/bin/formGet
DIALOGTEST2=$NEWPVMHOME/bin/dialogTest2

logFile1=`echo "${testFileDate}log_Cref_${COLL_REF_HOST}.${COLL_REF_PORT}.txt"`
logFile2=`echo "${testFileDate}log_Cnew_${COLL_NEW_HOST}.${COLL_NEW_PORT}.txt"`

diffFile=`echo "${testFileDate}diffSummary.txt"`

failFile1=`echo "${testFileDate}fail_Cref_${COLL_REF_HOST}.${COLL_REF_PORT}.txt"`
failFile2=`echo "${testFileDate}fail_Cnew_${COLL_NEW_HOST}.${COLL_NEW_PORT}.txt"`

tmpFile1=`echo "${testFileDate}${COLL_REF_HOST}.${COLL_REF_PORT}.txt.tmp"`
tmpFile2=`echo "${testFileDate}${COLL_NEW_HOST}.${COLL_NEW_PORT}.txt.tmp"`

allDiscElmts=allDiscElmts.txt
allDiscMetrics=allDiscMetrics.txt

allCollSubElmts=allCollSubElmts.txt
allCollMetrics=allCollMetrics.txt

echo	"LogFiles "
echo	"	$logFile1"
echo	"	$logFile2"
echo  	" "
echo	"tmpFiles "
echo	"	$tmpFile1"
echo	"	$tmpFile2"
echo  	" "
echo	"failFiles "
echo	"	$failFile1"
echo	"	$failFile2"
echo  	" "
echo	"diffFile "
echo	"	$diffFile"
echo  	" "
echo  	" "

while IFS='|' read sid ip inst sename junk
do	
	while IFS='|' read fid fname junk
	do

		message=`echo "Form $fname (id=$fid) on $sename (ip=$ip) '$inst'"`
		messageInSed=`echo ${message} | sed "s/\//_/g"`
		echo " "
		echo " "
		echo "* Testing collection $message "
		echo "* Testing collection $message " > $tmpFile1
		echo "* Testing collection $message " > $tmpFile2
		
		$FORMGET $ip -fid $fid -i '$inst' -S $COLL_REF_HOST -P $COLL_REF_PORT -re 2 -pe 3 >> $tmpFile1 &
		$FORMGET $ip -fid $fid -i '$inst' -S $COLL_NEW_HOST -P $COLL_NEW_PORT -re 2 -pe 3 >> $tmpFile2
		sleep 1
		echo "Cref returned `wc -l $tmpFile1` line(s)"
		echo "Cnew returned `wc -l $tmpFile2` line(s)"

		cat $tmpFile1 >> $logFile1
		cat $tmpFile2 >> $logFile2

		grep -v "Failure:" $tmpFile1 | grep -v "!ERROR!" | grep -v "Timeout, the daemo" | nawk -F ':' '{print $3}' > ${tmpFile1}.sorted
		grep -v "Failure:" $tmpFile2 | grep -v "!ERROR!" | grep -v "Timeout, the daemo" | nawk -F ':' '{print $3}' > ${tmpFile2}.sorted
		
		diff ${tmpFile1}.sorted ${tmpFile2}.sorted | sed "s/^</cRef:/" | sed "s/^>/cNew:/" | tee -a $diffFile

		grep "Failure:" $tmpFile1 | sed "s/Failure/${messageInSed} Failure/" > $failFile1
		grep "Failure:" $tmpFile2 | sed "s/Failure/${messageInSed} Failure/" > $failFile2
	done < "${allCollMetrics}"
done < "${allCollSubElmts}"

rm $tmpFile1
rm $tmpFile2
rm ${tmpFile1}.sorted
rm ${tmpFile2}.sorted

